#include <stdio.h>
#include <stdlib.h>

int main()
{
    int b[100], k;
    int i=1, a=0, c=1, x;
    int p[100], n;
    scanf("%d", &n);
    scanf("%d", &k);
    scanf("%d", &x);
    for(int i=0; i<n; i++){
        scanf("%d", &p[i]);
    }
    int l=0;
    while(l<k){
        for(int j=0+l; j<k+l; j++){
            if(p[j]<0){
                a+=p[j]*c;
                c++;
            }
            else{
                a+=p[j]*c;
            }
        }
        l++;
        c=1;
        printf("%d ", a);
        a=0;
    }
    return 0;
}